'use strict';

const config = require('../../../veams-cli');

const internalLibs = [
	`./${config.paths.app}/app.veams.js:app.veams`,
	// `./${config.paths.app}/app.store.js:store`,
	`./environments/environment.${process.env.NODE_ENV}.js:env`,
];

module.exports = {
	options: {
		transform: [
			['babelify',
				{
					compact: true,
					// ignore: [
					// 	'<%= paths.dest %>/scripts/vendor/'
					// ],
					presets: [
						'react',
						'stage-0',
						'stage-1',
						['env', {
							targets: {
								browsers: ['last 2 versions', 'ie >= 11', 'iOS >= 10', 'Android >= 6']
							},
							useBuiltIns: false
						}]
					],
					plugins: [
						'transform-decorators-legacy',
						'transform-class-properties'
					]
				}
			]
		],
		ignore: []
	},
	dev: {
		options: {
			alias: internalLibs,
			browserifyOptions: {
				debug: true
			},
			watch: true
		},
		files: {
			'<%= paths.dest %>/scripts/app.bundle.js': '<%= paths.app %>/app.js'
		}
	},
	dist: {
		options: {
			alias: internalLibs
		},
		files: {
			'<%= paths.dest %>/scripts/app.bundle.js': '<%= paths.app %>/app.js'
		}
	}
};